#include <iostream>
#include <cmath>
using namespace std;
int main()
{
	int x1, x2, y1, y2;
	cin >> x1 >> x2 >> y1 >> y2;
	if ((x1 == x2) || (y1 == y2))
	{
		cout << 2;
	}
	else if (abs(y1 - y2) == abs(x1 - x2))
	{
		cout << 1;
	}
	else cout << 0;
}